package cs297.xmldb.src.cm;

import java.io.*;
import java.util.*;
import java.lang.*;

/**
 * This is interface for logical nodes i.e. ThGroup and ThLeave
 * Date: Spring 2004
 * @author: Thien An Nguyen, 
 */
public interface IThNode{
  public IThNode getChild(int idx);
  public void insert(IThNode node);
  public boolean isDeleted();
  public void setDeleted(boolean val);
  public int getId();
  public int toHex(char[] arr, int offset);
  public int toHex(char[] arr, int offset, int idoffset);
  public boolean hasData();
  public int size();
  public ArrayList getChildren();  
  public int getChildrenCount();
  public boolean isGroup();
  public void upDate(String val);
  public int getPageNum();
  public boolean isMatch(String key);
}
