package cs297.xmldb.src.server;
import java.io.*;
import java.net.*;
import java.util.*;
import cs297.xmldb.src.cm.*;
/**
 * waiting for client request to come in and launch a new thread to handle it.
 * @author: Thien An Nguyen
 */
public class ThServerSocket
{
  public static void main(String[] args) throws IOException
  {
     ServerSocket serverSocket = null;
     boolean listening = true;
    
     //create server socket
     try 
     {
        serverSocket = new ServerSocket(ThConnectionMgr.PORT);

        InetAddress localHostAddress = InetAddress.getLocalHost();
        System.out.println(localHostAddress);
     } 
     catch (IOException e) 
     {
        System.out.println("Could not listen on port: "+ThConnectionMgr.PORT);
        System.exit(-1);
     }

     while (listening)
     {
        new ThServerThread(serverSocket.accept()).start();
        serverSocket.close();
     }
   }
}