package cs297.xmldb.src.cm;

import java.io.*;
import java.util.*;
import java.lang.*;

/**
 * @Date: Spring & fall 2004
 * @author: Thien An Nguyen, 
 * @Purpose: Creates an abstract class that contains basic
 *          information about a logical node's status
 *          such as is it marked deleted or not, and
 *          it's id.
 */
public abstract class AThNode implements IThNode, Serializable
{
  boolean deleteD = false;
  int iD;
  String value;
  
  public AThNode()
  {}
  
  public AThNode(int id){
    iD = id;
  }
  
  public IThNode getChild(int idx){
    return null;
  }
  
  public void insert(IThNode node){
  }
  
  public boolean isDeleted(){
    return deleteD;
  }
  
  public void setDeleted(boolean val){
    deleteD = val;
  }  
  
  public int getId() {
    return iD;
  }
  
  public int toHex(char[] arr, int offset) {
    return ThUtilities.numberToHex(arr, iD, offset);
  }
  
  public int toHex(char[] arr, int offset, int idoffset) {
    return toHex(arr, offset);
  }
    
  public boolean hasData() {
    return false;
  }
  
  public int size(){
    return 4;  //for id
  }  
  
  public ArrayList getChildren() {
    return null;
  } 
  
  public int getChildrenCount() {
    return 0;
  }
  
  public boolean isGroup() {
    return false;
  }
  
  public void upDate(String val) {
  }
  
  public int getPageNum() {
    return -1;
  }
  
  public boolean isMatch(String key)
  {
    if (key.equals(Integer.toString(iD)))
      return true;
    
    return false;
  }
}
