package cs297.xmldb.src.cm;

import java.io.*;
import java.net.*;

/*
Open a connection to server, aHost, at port aPort.
Returns null if connection fails within the timeout period.
*/

public class ThConnectionMgr implements Runnable
{
  public static int TIME_OUT = 500;
  public static int PORT = 1500;
  private String host;
  private int port;
  private Socket socket;
  
  public ThConnectionMgr(String aHost, int aPort)
  {
     socket = null;
     host = aHost;
     port = aPort;
  }
  
  public Socket getSocket()
  {
     return socket;
  }

  public static Socket openSocket(String aHost, int aPort, int timeout)
  {
     ThConnectionMgr connection = new ThConnectionMgr(aHost, aPort);
     Thread t = new Thread(connection);
     t.start();
     try
     {
        t.join(timeout);  // returns within a preset period, timeout
     }
     catch(InterruptedException exception)
     {
     }
    
     return connection.getSocket();
  }

  public void run()
  {
    try
    {
       socket = new Socket(host, port);
    }
    catch(IOException exception)
    {
    }
  }
}
