package cs297.xmldb.src.cm;

import java.util.*;
import cs297.xmldb.src.sm.*;

/**
 @Date: Spring & fall 2004
 @author: Thien An Nguyen, 
 After the parser parses for syntax error,
 it returns a result of parsing. We call this a plan. 
 User application submit the plan to the server for execution.
 */
public class ThPlan
{
   ArrayList originalStmts;
   ArrayList stmtS; //after parsed
   String eC;        //error Code
 
 /**
   The originalStmts are the original statements before
   go through parser function.
   The stmtS are the statement after go though parser 
   function thus have additional return code at parsor time
   error code is the highest severity of the plan.
   */
 public ThPlan(ArrayList ori, ArrayList arr, String errorcode)
 {
    originalStmts = ori;
    stmtS = arr;
    eC = errorcode;
 }
 
 public String getReturnCode()
 {
    return eC;
 }
 
 public ArrayList getParsedStmts()
 {
    return stmtS;
 }
 
 public ArrayList getOriginalStmts()
 {
    return originalStmts;
 }
}
