package cs297.xmldb.src.cm;
import java.util.*;
import cs297.xmldb.src.sm.*;

/**
 This class contains the parsed statement by the parser.

 @Date: Spring 2004
 @author: Thien An Nguyen, 
 */
public class ThStatement
{
   String sqL; 
   ArrayList paramS; //list of parameters i.e. filename, path, ...
   String txId;
   String eC;        //error code
 
 public ThStatement(String txid, String s, ArrayList p, String errcode)
 {
    sqL = new String(s);
    paramS = p;
    txId = txid;
    eC = errcode;
 }
 
 public ArrayList getParams() 
 {
    return paramS;
 }
 
 public String getCommand() 
 {
    return sqL;
 }
 
 public String getErrorCode() 
 {
    return eC;
 }
 
 public String getTransactionId() 
 {
    return txId;
 }
}
